Bug 18408 - Modules for VMWare2.02 would not install on RH 7.0
Summary: Modules for VMWare2.02 would not install on RH 7.0
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-05 15:31 UTC by Frank Bures
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-09 17:22:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Frank Bures 2000-10-05 15:31:46 UTC
While running /usr/bin/vmware-config.pl on RH7.0 smp machine with a standard RH 7.0 installation, the following error message is 
generated:

The directory of kernel headers (version 2.4.0-0.26) does not match your running
kernel (version 2.2.16-22smp). Consequently, even if the compilation of the     
module was successful, the module would not load into the running kernel.       

It is therefore impossible to install the VMware.

Comment 1 Arjan van de Ven 2000-10-05 16:09:35 UTC
This is a bug in VMWARE, as VMWARE incorrectly uses the headers in
/usr/include/linux
instead of /usr/src/linux/include to compile the VMWare kernel modules. Adding 
-I/usr/src/linux/include to the VMWare modules Makefile should fix this. 

Please also report this bug to VMWare support. This is a long-standing bug.

Comment 2 Michael J. Saletnik 2000-10-09 17:22:48 UTC
How can that be - they're supposed to be the same thing -
 /usr/include/linux is a symlink to ../src/linux/include/linux
You're never supposed to directly #include from /usr/src/linux;
VMWare is doing the right thing.


Comment 3 Alan Cox 2000-10-10 00:04:39 UTC
Vmware is wrong. /usr/include/ uses the kernel interface headers that match the
glibc not the
kernel. The kernel/library interface is glibc's business. The fact this worked
before is luck.




Note You need to log in before you can comment on or make changes to this bug.